Bug 136766 - UI: Zoom slider in toolbar of Calc's print preview has white background
Summary: UI: Zoom slider in toolbar of Calc's print preview has white background
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
7.1.0.0.alpha0+
Hardware: All All
: medium minor
Assignee: Not Assigned
URL:
Whiteboard: target:7.2.0 target:7.1.5
Keywords: bibisected, bisected, regression
Depends on:
Blocks: Calc-Toolbars
  Show dependency treegraph
 
Reported: 2020-09-15 09:20 UTC by Xisco Faulí
Modified: 2021-06-15 09:22 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2020-09-15 09:20:45 UTC
This is a follow-up of bug 135181 and it's only reproducible in gtk3

Steps to reproduce:
1. Open calc
2. Go to print preview

-> The zoom slider in the toolbar has a white background. it should be transparent. See screenshot: https://bug-attachments.documentfoundation.org/attachment.cgi?id=165454

Reproduced in

Version: 7.1.0.0.alpha0+
Build ID: 6f1e02c96b887750f974c187a82ecd6236e6a435
CPU threads: 4; OS: Linux 5.7; UI render: default; VCL: gtk3
Locale: en-US (en_US.UTF-8); UI: en-US
Calc: threaded
Comment 1 Xisco Faulí 2020-09-15 09:22:30 UTC
Regression introduced by:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=00cffc20e40b2412c7e9867eed24c9834504e24f

author	Noel Grandin <noel.grandin@collabora.co.uk>	2020-09-07 13:28:33 +0200
committer	Noel Grandin <noel.grandin@collabora.co.uk>	2020-09-07 15:04:17 +0200
commit	00cffc20e40b2412c7e9867eed24c9834504e24f (patch)
tree	7fa589ca1770f0c8f3d6e4b8ff8688601c29d963
parent	288db6eb47fbbd2b3ca34ffea0686d8ed8ed9be9 (diff)
tdf#135181 Calc print preview zoom slider print preview not transparent (gen)

Bisected with: bibisect-linux64-7.1

Adding Cc: to Noel Grandin
Comment 2 Julien Nabet 2020-09-15 11:44:56 UTC
On pc Debian x86-64 with master sources updated today, I could reproduce this.
Comment 3 Julien Nabet 2020-09-15 11:46:55 UTC
I also confirm that reverting https://cgit.freedesktop.org/libreoffice/core/commit/?id=00cffc20e40b2412c7e9867eed24c9834504e24f makes the bug disappear.
Comment 4 Timur 2021-06-08 08:52:04 UTC
I see in Gtk3 and gen, also Windows Gdi and Skia, and comment in bug 142513 confirms also for Mac. 
It's minor, but as a visible regression I set High to avoid new reports.
Comment 5 Xisco Faulí 2021-06-10 10:32:57 UTC
(In reply to Timur from comment #4)
> I see in Gtk3 and gen, also Windows Gdi and Skia, and comment in bug 142513
> confirms also for Mac. 
> It's minor, but as a visible regression I set High to avoid new reports.

so far there are no even duplicates, it's fine to keep it as normal
Comment 6 Timur 2021-06-10 11:12:49 UTC
Original bug was trivial and Mac only. Those two made it worse and All.
So a revert is also a solution.
Comment 7 Commit Notification 2021-06-10 13:18:20 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/d693223b84b518701d308678801ccc50877490dc

tdf#136766 Zoom slider in calc print preview has white background

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2021-06-10 21:02:28 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "libreoffice-7-1":

https://git.libreoffice.org/core/commit/8619e743564a241eb951866616aec82e1ab3965f

tdf#136766 Zoom slider in calc print preview has white background

It will be available in 7.1.5.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Timur 2021-06-11 12:02:06 UTC
After all changes, we are almost back to the start. 
In Windows, this control is now slightly different than the background. 
It doesn't bother me at all, I wouldn't notice if there were not those bugs, but it's of the the same triviality as the report in Mac that started this all.
Comment 10 BogdanB 2021-06-15 05:10:03 UTC
It's ok now. The same color as the context of the zoom slider.
Thanks for the fix.

Verified in
Version: 7.2.0.0.beta1+ / LibreOffice Community
Build ID: d376297c643785564e7bda1a74b573c35ade6cb8
CPU threads: 4; OS: Linux 5.8; UI render: default; VCL: gtk3
Locale: ro-RO (ro_RO.UTF-8); UI: en-US
Calc: threaded

I will verify later on Windows.
Comment 11 BogdanB 2021-06-15 09:22:25 UTC
On Windows is a little bit darker than the background color.

Version: 7.2.0.0.alpha1+ (x64) / LibreOffice Community
Build ID: 93a3e2f86c27b06062708fe788963a0e49f3a90b
CPU threads: 4; OS: Windows 10.0 Build 19043; UI render: Skia/Raster; VCL: win
Locale: ro-RO (ro_RO); UI: en-US
Calc: threaded